Description

Over the years, we've added a lot of code to our BuddyPress custom code file - bp-custom.php.

Some of that code is no longer applicable to the Commons today. It's time to trim the fat for 1.15!

History

#1 - 2019-03-20 12:40 AM - Raymond Hoh

I've done the following so far:

e Remove older references to bbPress v1 -
https://github.com/cuny-academic-commons/cac/commit/a7e0f2a95724ce575e41d317f62469757164484b
¢ Remove oohEmbed - https://github.com/cuny- mic-commons/! mmit/f24bf431472d14cb04a21

® Remove 'foratv' shortcode - https://github.com/cuny-academic-commons/cac/commit/ce96febdc58f6af4fc3e1e5e41b1e9b04a55c4al
U Remove older hotfixes that have been addressed in newer versions of BuddyPress -

bbPress v1 is no longer in use on the Commons and both oohEmbed and ForaTV's websites no longer exist.
I'll do one more sweep of the bp-custom.php file in the next week or so.

#2 - 2019-03-20 10:20 AM - Matt Gold

I love this kind of housekeeping. Thank you for doing it!

#3 - 2019-04-23 03:54 PM - Boone Gorges

- Target version changed from 1.15to 1.16

Let's do another concerted sweep for 1.16.

#4 - 2019-04-23 08:48 PM - Michael Shields
- File BP_Error.PNG added

Hi guys,

I'm not sure if this bug is related to this thread but when | went to edit
https://oirap.commons.gc.cuny.edu/applications-admissions/cas-freshman-application-data/, | saw the attached error message. When | clicked on the
link, | received a "Sorry, you are not allowed to access this page." error message. Note that we do not use email functionality on that (or any) page on
that site.

BTW, in the nearly 11 months since rolling out the OIRA Wiki to the larger CUNY community, everyone LOVES it! Thank you so much for all of your
support last spring and summer as | worked to get things up and running. | couldn't have done it without this fantastic team!

#5 - 2019-04-23 10:24 PM - Matt Gold

That's so fantastic to hear, Michael -- thank you for letting us know!!!

#6 - 2019-04-24 10:17 AM - Boone Gorges

Thanks for reporting this, Michael. The issue you've noted is unrelated to the bp-custom.php changes in this ticket, but instead comes from some
unrelated plugin updates in yesterday's maintenance release. I've made the necessary changes to ensure that you'll no longer see this notice. (See
also https:/github.com/boonebgorges/buddypress-group-email-subscription/issues/174 for the distribution plugin.)

#7 - 2019-04-24 05:44 PM - Michael Shields
Thank you, Boone. | confirm that I'm no longer seeing that message.

#8 - 2019-11-14 04:17 PM - Boone Gorges

- Target version changed from 1.16 to 1.17.0

This is an ongoing task.

#9 - 2020-07-14 12:24 PM - Boone Gorges
- Target version changed from 1.17.0 to 1.18.0

#10 - 2020-11-10 11:55 AM - Boone Gorges
- Target version changed from 1.18.0 to 1.19.0
